<?php

// Set this to empty, by default
$race_data = FALSE;

// Define our races data
$races = array(
	'Australia' => array('title' => 'Australian Grand Prix', 'location' => 'Melbourne', 'date' => '18/3/2012'),
	'Malaysia' => array('title' => 'Malaysia Grand Prix', 'location' => 'Kuala Lumpur', 'date' => '25/3/2012'),
	'China' => array('title' => 'Chinese Grand Prix', 'location' => 'Shanghai', 'date' => '15/4/2012'),
	'Bahrain' => array('title' => 'Bahrain Grand Prix', 'location' => 'Sakhir', 'date' => '22/4/2012'),
	'Spain' => array('title' => 'Spanish Grand Prix', 'location' => 'Catalunya', 'date' => '13/5/2012'),
	'Monaco' => array('title' => 'Monaco Grand Prix', 'location' => 'Monte Carlo', 'date' => '27/5/2012'),
	'Canada' => array('title' => 'Canadian Grand Prix', 'location' => 'Montreal', 'date' => '10/6/2012'),
	'Europe' => array('title' => 'European Grand Prix', 'location' => 'Valencia', 'date' => '24/6/2012'),
	'Britain' => array('title' => 'British Grand Prix', 'location' => 'Silverstone', 'date' => '8/7/2012'),
	'Germany' => array('title' => 'German Grand Prix', 'location' => 'Hockenheim', 'date' => '22/7/2012'),
	'Hungary' => array('title' => 'Hungarian Grand Prix', 'location' => 'Budapest', 'date' => '29/7/2012'),
	'Belgium' => array('title' => 'Belgian Grand Prix', 'location' => 'Spa-Francorchamps', 'date' => '2/9/2012'),
	'Italy' => array('title' => 'Italian Grand Prix', 'location' => 'Monza', 'date' => '9/9/2012'),
	'Singapore' => array('title' => 'Singapore Grand Prix', 'location' => 'Singapore', 'date' => '23/9/2012'),
	'Japan' => array('title' => 'Japanese Grand Prix', 'location' => 'Suzuka', 'date' => '7/10/2012'),
	'Korea' => array('title' => 'Korean Grand Prix', 'location' => 'Yeongam', 'date' => '14/10/2012'),
	'India' => array('title' => 'Indian Grand Prix', 'location' => 'New Delhi', 'date' => '28/10/2012'),
	'Abu Dhabi' => array('title' => 'Abu Dhabi Grand Prix', 'location' => 'Yas Marina', 'date' => '4/11/2012'),
	'United States' => array('title' => 'United States Grand Prix', 'location' => 'Austin', 'date' => '18/11/2012'),
	'Brazil' => array('title' => 'Brazilian Grand Prix', 'location' => 'Sao Paulo', 'date' => '25/11/2012')
);

// Check for any input
if(isset($_POST['location'])) check_for_race($_POST['location']);

function check_for_race($location)
{
	// Make ours arrays and variable "available"
	global $races, $race_data;
	
	// Validate and sanitise our input
	$location = filter_input(INPUT_POST, 'location', FILTER_SANITIZE_STRING, FILTER_FLAG_STRIP_LOW);
	
	// Check if the race exists in the arra, otherwise return an error
	if(isset($races[$location])) $race_data = $races[$location];
	else $race_data = 'No matching races have been found.';
	
	// Done
	return;
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>F1 2012 Season</title>
</head>
<body>

<h1>F1 2012 Calendar</h1>

<form method="post">
	<fieldset>
		<label for="location">Choose a race:</label>
		<select name="location">
			<?php foreach($races as $location => $race): ?>
			<option value="<?php echo $location; ?>"><?php echo $location; ?></option>
			<?php endforeach; ?>
		</select>
		<input type="submit" name="submit" value="View" />
	</fieldset>
</form>

<?php if(is_array($race_data)): ?>
<h3><?php echo $race_data['title']; ?> - <?php echo $race_data['date']; ?></h3>
<h4><?php echo $race_data['location']; ?></h4>
<?php elseif(is_string($race_data)): ?>
<h3><?php echo $race_data; ?></h3>
<?php endif; ?>

</body>
</html>